<%@ page language="java" import="java.util.*" pageEncoding="gbk"%>
<!DOCTYPE html>
<html>
<head lang="en">
	<meta http-equiv="Content-Type" content="text/html; charset=gbk" />
 	<%@include file="../../../frame/assets/header-all.jsp"%>
	<style>
	.form-line .text-content{
		width:120px;
	}
	tr td:nth-child(1){text-align:left;}
	tr td:nth-child(2){padding-left:20px;}
	</style>
</head>
<body class="easyui-layout">
	<div>
		 <table style="font-size:13px;width:237px;height:200px;margin-top:18px;margin-left: 42px;">
            <tr>
                <td><label>监控点名称：</label></td><td id="mc"></td>
            </tr>
            <tr>
                <td><label>资源类型：</label></td><td id="zylx"></td>
            </tr>
            <tr>
                <td><label>所属设备：</label></td><td id="sssb"></td>
            </tr>
            <tr>
                <td><label>通道号：</label></td><td id="tdh"></td>
            </tr>
            <tr>
                <td><label>所属设备IP：</label></td><td id="ip"></td>
            </tr>
            <tr>
                <td><label>所属设备端口：</label></td><td id="port"></td>
            </tr>
            
        </table>
	</div>
</body>
</html>
<script type="text/javascript">
	var videonum = $.getUrlParam("videonum");
	var channelnum = $.getUrlParam("channelnum");
//	console.log("跳转iframe: ",videonum,channelnum);
	$(function(){

		$.ajax({
			type : 'post',
			dataType : 'json',
			url : 'ywarchivevideoinfoAction!get_Ywarchivevideoinfo.do',
			// data : {'videonum':videonum, 'channelnum':channelnum, 'tableparam':' limit 1'}, 该条件与Oracle不兼容
			data : {'videonum':videonum, 'channelnum':channelnum},
			success : function(res){
//				console.log("返回结果：",res)
		//	'1'  :  '车辆卡口','2'  :  '人员卡口','3'  :  '微卡口','4'  :  '特征摄像机','5'  :  '普通监控',
				if(res){   
					var ftype = res.videofunctiontype;
					if(ftype == 1){
						ftype = "车辆卡口";
					}else if(ftype == 2){
						ftype = "人员卡口";
					}else if(ftype == 3){
						ftype = "微卡口";
					}else if(ftype == 4){
						ftype = "特征摄像机";
					}else if(ftype == 5){
						ftype = "普通监控";
					}
		//	'1' :'可控球机', '2':'固定球机', '3':'固定枪机', '4':'云台枪机','5': '卡口枪机','99' :'未知',
					var ctype = res.cameratype;
					if(ctype == 1){
						ctype = "可控球机"
					}else if(ctype == 2){
						ctype = "固定球机"
					}else if(ctype == 3){
						ctype = "固定枪机"
					}else if(ctype == 4){
						ctype = "云台枪机"
					}else if(ctype == 5){
						ctype = "卡口枪机"
					}else if(ctype == 99){
						ctype = "未知"
					}
					$('#mc').html(res.videoinstalladdress);
					$('#zylx').html(ftype);
					$('#sssb').html(ctype);
					$('#tdh').html(res.channelnum);
					$('#ip').html(res.videoip);
					$('#port').html(res.videoport);
				}
			}
		});
		
		
	})
</script>
